libzypp 17.37.10

zypp::log::StreamLineWriter Struct Reference

Base class for ostream based LineWriter. More...

`#include <zypp-core/base/LogControl.h>`

Inheritance diagram for zypp::log::StreamLineWriter:

## Public Member Functions
| StreamLineWriter (std::ostream &str_r)
void | writeOut (const std::string &formated_r) override
Public Member Functions inherited from zypp::log::LineWriter
virtual | ~LineWriter ()

## Protected Member Functions
| StreamLineWriter ()

## Protected Attributes
std::ostream * | _str

## Detailed Description

Base class for ostream based LineWriter.

Definition at line 44 of file LogControl.h.

## Constructor & Destructor Documentation

## ◆ StreamLineWriter() [1/2]

zypp::log::StreamLineWriter::StreamLineWriter | ( | std::ostream & | str_r | ) |
| inline

Definition at line 46 of file LogControl.h.

## ◆ StreamLineWriter() [2/2]

zypp::log::StreamLineWriter::StreamLineWriter | ( |  | ) |
| inline protected

Definition at line 52 of file LogControl.h.

## Member Function Documentation

## ◆ writeOut()

void zypp::log::StreamLineWriter::writeOut | ( | const std::string & | formated_r | ) |
| inline override virtual

Reimplemented from zypp::log::LineWriter.

Definition at line 48 of file LogControl.h.

## Member Data Documentation

## ◆ _str

std::ostream* zypp::log::StreamLineWriter::_str
| protected

Definition at line 53 of file LogControl.h.

The documentation for this struct was generated from the following file:

- zypp-core/base/LogControl.h